AOZ Studio Beta - Bug #583

Beta 1 version will not transpile to web browser in macOS verison.
11/18/2020 08:42 AM - Brian Flanagan

Status: Closed Start date: 11/18/2020
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: Beta 1

Description

| tried to transpile a very simple program.
| kept getting the "Editor is not responding" error, and had to keep hitting "Keep Waiting".
After about a half dozen attempts, | finally gave up and hit "Force Close" instead.

History

#1 - 11/18/2020 08:47 AM - Brian Flanagan

- Subject changed from Beta 1 version will not transpile to web browser. to Beta 1 version will not transpile to web browser in macOS verison.

Example:
#manifest: "aoz"
For i=1 To 20
r=r+i
Print i,r
Next i
Wait Key

This results in an unending series of "Editor is not responding” dialog boxes.
After about a half dozen attempts, | gave up and hit the "Force Close" button.

#2 - 11/20/2020 04:50 PM - Brian Flanagan
- Status changed from New to Resolved
- Estimated time set to 2:00 h

- Affected version set to Beta 1

This turned out to be another problem. .AOZIP files were not being loaded properly, and apparently, not only was the .aoz file corrupted, but some of
the rest of the structure was as well. As a result the transpiler locked up.

Programs will transpile, but will fail if part of the package structure is messed up.

#3 - 11/20/2020 04:51 PM - Brian Flanagan

(see bug #584 for more info)

#4 - 07/15/2021 12:57 PM - Brian Flanagan

- Status changed from Resolved to Closed

Verified working.
